|
| BRepFeat_MakeRevol () |
| initializes the revolved shell class. More...
|
|
| BRepFeat_MakeRevol (const TopoDS_Shape &Sbase, const TopoDS_Shape &Pbase, const TopoDS_Face &Skface, const gp_Ax1 &Axis, const Standard_Integer Fuse, const Standard_Boolean Modify) |
| a face Pbase is selected in the shape Sbase to serve as the basis for the revolved shell. The revolution will be defined by the axis Axis and Fuse offers a choice between: More...
|
|
void | Init (const TopoDS_Shape &Sbase, const TopoDS_Shape &Pbase, const TopoDS_Face &Skface, const gp_Ax1 &Axis, const Standard_Integer Fuse, const Standard_Boolean Modify) |
|
void | Add (const TopoDS_Edge &E, const TopoDS_Face &OnFace) |
| Indicates that the edge <E> will slide on the face <OnFace>. Raises ConstructionError if the face does not belong to the basis shape, or the edge to the prismed shape. More...
|
|
void | Perform (const Standard_Real Angle) |
|
void | Perform (const TopoDS_Shape &Until) |
|
void | Perform (const TopoDS_Shape &From, const TopoDS_Shape &Until) |
| Reconstructs the feature topologically. More...
|
|
void | PerformThruAll () |
| Builds an infinite shell. The infinite descendants will not be kept in the result. More...
|
|
void | PerformUntilAngle (const TopoDS_Shape &Until, const Standard_Real Angle) |
| Assigns both a limiting shape, Until from TopoDS_Shape, and an angle, Angle at which to stop generation of the revolved shell feature. More...
|
|
void | Curves (TColGeom_SequenceOfCurve &S) |
|
Handle< Geom_Curve > | BarycCurve () |
|
virtual const TopTools_ListOfShape & | Modified (const TopoDS_Shape &F) override |
| returns the list of generated Faces. More...
|
|
virtual const TopTools_ListOfShape & | Generated (const TopoDS_Shape &S) override |
| returns a list of the created faces from the shape <S>. More...
|
|
virtual Standard_Boolean | IsDeleted (const TopoDS_Shape &S) override |
| Returns true if the shape S has been deleted. More...
|
|
const TopTools_ListOfShape & | FirstShape () const |
| Returns the list of shapes created at the bottom of the created form. It may be an empty list. More...
|
|
const TopTools_ListOfShape & | LastShape () const |
| Returns the list of shapes created at the top of the created form. It may be an empty list. More...
|
|
const TopTools_ListOfShape & | NewEdges () const |
| Returns a list of the limiting and glueing edges generated by the feature. These edges did not originally exist in the basis shape. The list provides the information necessary for subsequent addition of fillets. It may be an empty list. More...
|
|
const TopTools_ListOfShape & | TgtEdges () const |
| Returns a list of the tangent edges among the limiting and glueing edges generated by the feature. These edges did not originally exist in the basis shape and are tangent to the face against which the feature is built. The list provides the information necessary for subsequent addition of fillets. It may be an empty list. If an edge is tangent, no fillet is possible, and the edge must subsequently be removed if you want to add a fillet. More...
|
|
void | BasisShapeValid () |
| Initializes the topological construction if the basis shape is present. More...
|
|
void | GeneratedShapeValid () |
| Initializes the topological construction if the generated shape S is present. More...
|
|
void | ShapeFromValid () |
| Initializes the topological construction if the shape is present from the specified integer on. More...
|
|
void | ShapeUntilValid () |
| Initializes the topological construction if the shape is present until the specified integer. More...
|
|
void | GluedFacesValid () |
| Initializes the topological construction if the glued face is present. More...
|
|
void | SketchFaceValid () |
| Initializes the topological construction if the sketch face is present. If the sketch face is inside the basis shape, local operations such as glueing can be performed. More...
|
|
void | PerfSelectionValid () |
| Initializes the topological construction if the selected face is present. More...
|
|
BRepFeat_StatusError | CurrentStatusError () const |
|
virtual void | Build () |
| This is called by Shape(). It does nothing but may be redefined. More...
|
|
virtual const TopoDS_Shape & | Shape () |
| Returns a shape built by the shape construction algorithm. Raises exception StdFail_NotDone if the shape was not built. More...
|
|
| operator TopoDS_Shape () |
|
Public Member Functions inherited from BRepBuilderAPI_Command |
virtual | ~BRepBuilderAPI_Command () |
|
virtual Standard_Boolean | IsDone () const |
|
void | Check () const |
| Raises NotDone if done is false. More...
|
|
Describes functions to build revolved shells from basis shapes.